library(ggplot2)
x <- read.delim("flashproxy-allow.20130220.dat", header=FALSE, col.names=c("date", "val"), colClasses=c("POSIXct", "factor"))
levels(x$val) <- list("1"="'1'", "unset"="'unset'", "--"="--")
colours <- c("1"="#222222", "unset"="darkkhaki", "--"="blanchedalmond")

png("flashproxy-allow.png", width=720, height=480)
qplot(date, data=x, geom="bar", binwidth=4*60*60, fill=val, xlab="date (4-hour intervals)", ylab="cookie values") + scale_fill_manual(values=colours)

png("flashproxy-allow-frac.png", width=720, height=480)
qplot(date, data=x, geom="bar", binwidth=4*60*60, fill=val, position="fill", xlab="date (4-hour intervals)", ylab="cookie values (fraction)") + scale_fill_manual(values=colours)
